• 欢迎光临~

论文复现(一)

开发技术 开发技术 2022-10-01 次浏览

CSDN话题挑战赛第2期
参赛话题:学习笔记


问题1:pip install HDLTex时出现“ERROR: Could not find a version that satisfies the requirement HDLTex (from versions: none)
ERROR: No matching distribution found for HDLTex” 的错误

搜索是:镜像错误

论文复现(一)

修改成: pip install -i https://pypi.tuna.tsinghua.edu.cn/simple 包名

 修改后:

论文复现(一)

 参考:(2条消息) ERROR: Could not find a version that satisfies the requirement_qq591840685的博客-CSDN博客

问题二:查看pytorch版本 

论文复现(一)

 论文复现(一)

!!切记要匹配系统的版本

查看系统的版本:论文复现(一)

 卸载pytorch

pip uninstall torch

 重新安装pytorch

论文复现(一)

# CUDA 10.2
conda install pytorch==1.12.0 torchvision==0.13.0 torchaudio==0.12.0 cudatoolkit=10.2 -c pytorch
# CUDA 11.3
conda install pytorch==1.12.0 torchvision==0.13.0 torchaudio==0.12.0 cudatoolkit=11.3 -c pytorch
# CUDA 11.6
conda install pytorch==1.12.0 torchvision==0.13.0 torchaudio==0.12.0 cudatoolkit=11.6 -c pytorch -c conda-forge
# CPU Only
conda install pytorch==1.12.0 torchvision==0.13.0 torchaudio==0.12.0 cpuonly -c pytorch

安装transformers报错 

 论文复现(一)

 需要论文复现(一)

 安装torch 

论文复现(一)

 安装

论文复现(一)

报错: torchvision 0.11.3 requires torch==1.10.2, but you have torch 1.12.0 which is incompatible.

然后卸载torchvision 0.11.3

pip uninstall torchvision==0.11.3

 然后下载对应版本 (官方给的)

论文复现(一)

 pip install torchvision==0.13.0

发现已经存在了,但是还是要执行一遍防止没有

论文复现(一)

下载 torch-sparse == 0.6.12

报错

论文复现(一)

 论文复现(一)

 论文复现(一)

 查看版本论文复现(一)

确实不对 , 啊  再来一遍。

重新下载torch,刚刚下载的好像还是cuda102的

执行以下代码:

conda install pytorch torchvision torchaudio cudatoolkit=11.3 -c pytorch

执行的时候要把-c pytorch去掉 

安装

 

程序员灯塔
转载请注明原文链接:论文复现(一)
喜欢 (0)